# $selected

Returns the list of selected nicknames in the channel

Usage

    $selected
    $selected(<window id:string>)

Description

The form with the <window id> parameter returns an array of the selected nicknames in the channel designated by <window id>. The form without parameters returns an array of the selected nicknames in the current window (assuming that it is a channel), thus it is equivalent to calling $selected($window) The returned value may be assigned to a dictionary too: it will be used to simulate an array.
In a non-array/dictionary context it returns the selected nicknames as a comma separated list.

Syntax Specification

    <array> $selected
    <array> $selected(<window id:string>)

Examples

        echo $selected
        foreach(%i,$selected)echo %i

See also
$window, $channel, window naming conventions

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011